package com.supwisdom.dlpay.system.service;

import com.supwisdom.dlpay.framework.domain.TResource;
import com.supwisdom.dlpay.framework.domain.TRole;
import com.supwisdom.dlpay.framework.domain.TRoleFunction;

import java.util.List;

public interface RoleService {
    List<TRole> findAllRoles();

    TRole findRoleByRolecode(String rolecode);

    TResource findResourceByURI(String uri);

    TRoleFunction findRoleFunctionByRoleIdAndFunctionId(String roleid, String functionid);
}
